import { FtBaseButton } from "./ft-base-button";
import { FtdsButtonProperties } from "./ftds-button.properties";
import { ClassInfo } from "lit/directives/class-map.js";
import { DesignSystemFamily } from "@fluid-topics/design-system-variables";
import { FtIconVariants } from "@fluid-topics/ft-icon";
declare const FtdsButton_base: import("@fluid-topics/ft-wc-utils").FtdsBaseType<typeof FtBaseButton>;
export declare class FtdsButton extends FtdsButton_base implements FtdsButtonProperties {
    primary: boolean;
    secondary: boolean;
    tertiary: boolean;
    round: boolean;
    family: DesignSystemFamily;
    iconVariant: FtIconVariants;
    static styles: (import("lit").CSSResult | import("lit").CSSResult[])[];
    get buttonClasses(): ClassInfo;
    get typographyVariant(): string;
}
export {};
